%define major		3
%define libname		%mklibname p11_ %major
%define develname	%mklibname p11 -d

Summary:	Small library on top of PKCS#11
Name:		libp11
Version:	0.4.14
Release:	%mkrel 1
License:	LGPLv2+
Group:		System/Libraries
URL:		https://github.com/OpenSC/libp11
Source:		https://github.com/OpenSC/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz

BuildRequires:	doxygen
BuildRequires:	pkgconfig(openssl)
BuildRequires:	libltdl-devel

%description
Libp11 is a library implementing a small layer on top of PKCS#11 API to make
using PKCS#11 implementations easier.


%package -n %libname
Summary:	Library files for libp11
Group:		System/Libraries

%description -n %libname
This package contains library files for libp11.


%package -n openssl-engine-%{name}
Summary:	Library Implementing a Small Layer on Top of PKCS#11 API
Group:		System/Libraries

%description -n openssl-engine-%{name}
Libp11 is a library implementing a small layer on top of PKCS#11 API to
make using PKCS#11 implementations easier.

The official name for PKCS#11 is "RSA Security Inc. PKCS #11
Cryptographic Token Interface (Cryptoki)".

Libp11 source code includes the official header files (version 2.20)
and thus is "derived from the RSA Security Inc. PKCS #11 Cryptographic
Token Interface (Cryptoki)".


%package -n %develname
Summary:	Development files for libp11
Group:		Development/C
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %develname
This package contains files needed for development with libp11.


%prep
%autosetup -p1


%build
%configure --disable-static --enable-api-doc
%make_build


%install
%make_install

# Use %%{buildroot}%%{_docdir}/%%develname to install documentation in a standard location
mkdir %{buildroot}%{_docdir}/%develname
mv %{buildroot}%{_datadir}/doc/%{name}/api %{buildroot}%{_docdir}/%{develname}/
rm -rf %{buildroot}%{_datadir}/doc/%{name}/


%files -n %libname
%doc NEWS
%{_libdir}/*.so.%{major}{,.*}

%files -n openssl-engine-%{name}
%{_libdir}/engines-*/*.so
%{_libdir}/ossl-modules/*.so

%files -n %develname
%doc examples
%{_docdir}/%{develname}/api/
%{_libdir}/*.so
%{_libdir}/pkgconfig/libp11.pc
%{_includedir}/*.h


%changelog
* Fri May 16 2025 ns80 <ns80> 0.4.14-1.mga10
+ Revision: 2183918
- new version 0.4.14

* Fri Oct 18 2024 daviddavid <daviddavid> 0.4.12-1.mga10
+ Revision: 2108106
- new version: 0.4.12
- move the libp11 openssl engines in its own sub-pkg

* Fri Mar 18 2022 umeabot <umeabot> 0.4.11-3.mga9
+ Revision: 1798771
- Mageia 9 Mass Rebuild

* Sat Oct 02 2021 wally <wally> 0.4.11-2.mga9
+ Revision: 1748541
- let post %%install scriptlet handle .la file removal
- rebuild for openssl 3.0.0

* Tue Nov 17 2020 luigiwalser <luigiwalser> 0.4.11-1.mga8
+ Revision: 1646881
- 0.4.11

* Sat Feb 22 2020 daviddavid <daviddavid> 0.4.10-1.mga8
+ Revision: 1549347
- new version: 0.4.10

* Fri Feb 14 2020 umeabot <umeabot> 0.4.9-2.mga8
+ Revision: 1521981
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Jan 06 2019 sander85 <sander85> 0.4.9-1.mga7
+ Revision: 1350094
- New version: 0.4.9

* Sun Sep 23 2018 umeabot <umeabot> 0.4.7-4.mga7
+ Revision: 1299080
- Mageia 7 Mass Rebuild

* Sat Sep 09 2017 cjw <cjw> 0.4.7-3.mga7
+ Revision: 1152044
- rebuild for openssl 1.1

* Mon Jul 17 2017 sander85 <sander85> 0.4.7-2.mga7
+ Revision: 1124276
- Drop requirement on obsoleted package

* Mon Jul 17 2017 sander85 <sander85> 0.4.7-1.mga7
+ Revision: 1124233
- New version: 0.4.7

* Tue May 03 2016 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 1008949
- New version: 0.4.0

* Fri Feb 12 2016 sander85 <sander85> 0.3.1-1.mga6
+ Revision: 958701
- New version: 0.3.1

* Thu Feb 11 2016 umeabot <umeabot> 0.3.0-2.mga6
+ Revision: 955613
- Mageia 6 Mass Rebuild

* Tue Oct 13 2015 sander85 <sander85> 0.3.0-1.mga6
+ Revision: 890496
- New version: 0.3.0

* Wed Oct 15 2014 umeabot <umeabot> 0.2.8-5.mga5
+ Revision: 739852
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.8-4.mga5
+ Revision: 681698
- Mageia 5 Mass Rebuild
+ sander85 <sander85>
- Convert to %%autosetup

* Fri Oct 18 2013 umeabot <umeabot> 0.2.8-3.mga4
+ Revision: 507308
- Mageia 4 Mass Rebuild
+ sander85 <sander85>
- Update url

* Sat Jan 12 2013 umeabot <umeabot> 0.2.8-2.mga3
+ Revision: 357942
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jul 23 2011 sander85 <sander85> 0.2.8-1.mga2
+ Revision: 128034
- new version: 0.2.8

* Sat Apr 30 2011 sander85 <sander85> 0.2.7-3.mga1
+ Revision: 93647
- bump release

* Sat Apr 23 2011 sander85 <sander85> 0.2.7-1.mga1
+ Revision: 89906
- clean spec
- imported package libp11


* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.7-3mdv2011.0
+ Revision: 609769
- rebuild

* Mon Apr 19 2010 Funda Wang <fwang@mandriva.org> 0.2.7-2mdv2010.1
+ Revision: 536665
- rebuild

* Sun Dec 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.2.7-1mdv2010.1
+ Revision: 482737
- Update to new version 0.2.7 (new major)

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 0.2.4-3mdv2010.0
+ Revision: 438731
- rebuild

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 0.2.4-2mdv2009.0
+ Revision: 259231
- obsolete old libname
- correct libname

* Fri Aug 01 2008 Funda Wang <fwang@mandriva.org> 0.2.4-1mdv2009.0
+ Revision: 259229
- New version 0.2.4
- fix libname and devel package name
- Rename to libp11

* Sun Jul 27 2008 Thierry Vignaud <tv@mandriva.org> 0.2.3-3mdv2009.0
+ Revision: 250390
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Nov 05 2007 Andreas Hasenack <andreas@mandriva.com> 0.2.3-1mdv2008.1
+ Revision: 106181
- updated to version 0.2.3


* Mon Nov 06 2006 Andreas Hasenack <andreas@mandriva.com> 0.2.2-1mdv2007.0
+ Revision: 77004
- added missing buildrequires
- updated to versioon 0.2.2
- Import libp11_1

* Sat Dec 03 2005 Andreas Hasenack <andreas@mandriva.com> 0.2.1-1mdk
- updated to version 0.2.1
- added buildrequires for libopenssl-devel

* Wed Nov 23 2005 Andreas Hasenack <andreas@conectiva.com.br> 0.2.0-1mdk
- packaged for Mandriva

